UPDATE table_version SET version_number = '55' WHERE version_id = '1';

ALTER TABLE table_usergroup_folder DROP CONSTRAINT table_usergroup_folder_ibfk_2;
ALTER TABLE table_usergroup_folder ADD CONSTRAINT table_usergroup_folder_ibfk_2 FOREIGN KEY (folder_id) REFERENCES table_folder (folder_id) ON DELETE CASCADE;







DECLARE @default sysname, @sql nvarchar(max)
SELECT @default = name 
FROM sys.default_constraints 
WHERE parent_object_id = object_id('table_expl_data')
AND type = 'D'
AND parent_column_id = (
    SELECT column_id 
	FROM sys.columns 
    WHERE object_id = object_id('table_expl_data')
	AND name = 'status'
)
set @sql = N'alter table table_expl_data drop constraint ' + @default
exec sp_executesql @sql
ALTER TABLE table_expl_data DROP COLUMN status;




DECLARE @default sysname, @sql nvarchar(max)
SELECT @default = name 
FROM sys.default_constraints 
WHERE parent_object_id = object_id('table_expl_data')
AND type = 'D'
AND parent_column_id = (
    SELECT column_id 
	FROM sys.columns 
    WHERE object_id = object_id('table_expl_data')
	AND name = 'startDate'
)
set @sql = N'alter table table_expl_data drop constraint ' + @default
exec sp_executesql @sql
ALTER TABLE table_expl_data DROP COLUMN startDate;




DECLARE @default sysname, @sql nvarchar(max)
SELECT @default = name 
FROM sys.default_constraints 
WHERE parent_object_id = object_id('table_expl_data')
AND type = 'D'
AND parent_column_id = (
    SELECT column_id 
	FROM sys.columns 
    WHERE object_id = object_id('table_expl_data')
	AND name = 'stopDate'
)
set @sql = N'alter table table_expl_data drop constraint ' + @default
exec sp_executesql @sql
ALTER TABLE table_expl_data DROP COLUMN stopDate;




DECLARE @default sysname, @sql nvarchar(max)
SELECT @default = name 
FROM sys.default_constraints 
WHERE parent_object_id = object_id('table_expl_data')
AND type = 'D'
AND parent_column_id = (
    SELECT column_id 
	FROM sys.columns 
    WHERE object_id = object_id('table_expl_data')
	AND name = 'cummul_runtime'
)
set @sql = N'alter table table_expl_data drop constraint ' + @default
exec sp_executesql @sql
ALTER TABLE table_expl_data DROP COLUMN cummul_runtime;






ALTER TABLE table_expl      ADD status        TINYINT NOT NULL DEFAULT 1;
ALTER TABLE table_expl      ADD startDate     DATETIME;
ALTER TABLE table_expl      ADD stopDate      DATETIME;
ALTER TABLE table_expl_data ADD cumul_runtime BIGINT DEFAULT '0' NOT NULL;

DROP TABLE table_def_int_expl;
CREATE TABLE table_def_expl (
  defect_id BIGINT NOT NULL,
  expl_id BIGINT NOT NULL
);
CREATE INDEX def_expl_IK_1 ON table_def_expl(defect_id);
CREATE INDEX def_expl_IK_2 ON table_def_expl(expl_id);
CREATE UNIQUE INDEX def_expl_UK_1 ON table_def_expl (defect_id, expl_id);

ALTER TABLE table_def_expl ADD CONSTRAINT table_def_expl_ibfk_1 FOREIGN KEY (expl_id) REFERENCES table_expl(expl_id); -- TRIGGER REPLACING ON DELETE;

DROP TRIGGER trig_del_expl;
CREATE TRIGGER trig_del_expl           ON table_expl INSTEAD OF DELETE AS
   DELETE FROM table_def_expl          WHERE EXISTS (SELECT * FROM DELETED WHERE table_def_expl.expl_id          = DELETED.expl_id)
   DELETE FROM table_expl_attach       WHERE EXISTS (SELECT * FROM DELETED WHERE table_expl_attach.expl_id       = DELETED.expl_id)
   DELETE FROM table_expl_attr_boolean WHERE EXISTS (SELECT * FROM DELETED WHERE table_expl_attr_boolean.expl_id = DELETED.expl_id)
   DELETE FROM table_expl_attr_integer WHERE EXISTS (SELECT * FROM DELETED WHERE table_expl_attr_integer.expl_id = DELETED.expl_id)
   DELETE FROM table_expl_attr_string  WHERE EXISTS (SELECT * FROM DELETED WHERE table_expl_attr_string.expl_id  = DELETED.expl_id)
   DELETE FROM table_expl              WHERE EXISTS (SELECT * FROM DELETED WHERE table_expl.expl_id              = DELETED.expl_id);






