UPDATE table_version SET version_number = '14' WHERE version_id = '1';

ALTER TABLE table_defect_stat                   MODIFY container             VARCHAR(255)      NULL;

ALTER TABLE table_company                       MODIFY company_name          VARCHAR(128)  NOT NULL;
ALTER TABLE table_category                      MODIFY category_name         VARCHAR(128)  NOT NULL;
ALTER TABLE table_category                      MODIFY category_jarName      VARCHAR(64)       NULL;
ALTER TABLE table_folder                        MODIFY folder_name           VARCHAR(128)  NOT NULL;
ALTER TABLE table_sut                           MODIFY sut_name              VARCHAR(128)  NOT NULL;
ALTER TABLE table_sut                           MODIFY sut_version           VARCHAR(64)       NULL;
ALTER TABLE table_agent                         MODIFY agent_name            VARCHAR(128)  NOT NULL;
ALTER TABLE table_agent                         MODIFY agent_os              VARCHAR(64)   NOT NULL;
ALTER TABLE table_user                          MODIFY user_name             VARCHAR(128)  NOT NULL;
ALTER TABLE table_defect_integrated             MODIFY defect_name           VARCHAR(128)  NOT NULL;
ALTER TABLE table_defect_integrated             MODIFY priority              TINYINT       NOT NULL;
ALTER TABLE table_defect_integrated             MODIFY severity              TINYINT       NOT NULL;
ALTER TABLE table_defect_integrated             MODIFY status                TINYINT       NOT NULL;
ALTER TABLE table_requirement                   MODIFY requirement_name      VARCHAR(128)  NOT NULL;
ALTER TABLE table_campaign                      MODIFY campaign_name         VARCHAR(128)  NOT NULL;
ALTER TABLE table_specification                 MODIFY specification_name    VARCHAR(128)  NOT NULL;
ALTER TABLE table_test                          MODIFY test_name             VARCHAR(128)  NOT NULL;
ALTER TABLE table_test                          MODIFY test_canonicalPath    VARCHAR(255)  NOT NULL;
ALTER TABLE table_schedule                      MODIFY schedule_name         VARCHAR(128)  NOT NULL;
ALTER TABLE table_schedule                      MODIFY schedule_description  TEXT              NULL;
ALTER TABLE table_campaign_session              MODIFY campaign_session_name VARCHAR(128)  NOT NULL;
ALTER TABLE table_testcase                      MODIFY testcase_name         VARCHAR(128)  NOT NULL;
ALTER TABLE table_testcase_attachment           MODIFY attachment_name       VARCHAR(128)  NOT NULL;
ALTER TABLE table_test_attachment               MODIFY attachment_name       VARCHAR(128)  NOT NULL;
ALTER TABLE table_folder_attachment             MODIFY attachment_name       VARCHAR(128)  NOT NULL;
ALTER TABLE table_category_attachment           MODIFY attachment_name       VARCHAR(128)  NOT NULL;
ALTER TABLE table_testcase_execution_attachment MODIFY attachment_name       VARCHAR(128)  NOT NULL;
ALTER TABLE table_change                        MODIFY information           VARCHAR(255)  NOT NULL;

CREATE TABLE table_schedule_configuration (
  schedule_id INTEGER UNSIGNED NOT NULL,
  configuration_id INTEGER UNSIGNED NOT NULL,
  category_id INTEGER UNSIGNED NOT NULL,
  INDEX schedule_FKIndex1(schedule_id),
  INDEX configuration_FKIndex2(configuration_id),
  INDEX category_FKIndex3(category_id),
  FOREIGN KEY(schedule_id)
    REFERENCES table_schedule(schedule_id)
      ON DELETE CASCADE
      ON UPDATE NO ACTION,
  FOREIGN KEY(configuration_id)
    REFERENCES table_configuration(configuration_id)
      ON DELETE CASCADE
      ON UPDATE NO ACTION,
  FOREIGN KEY(category_id)
    REFERENCES table_category(category_id)
      ON DELETE CASCADE
      ON UPDATE NO ACTION
)
ENGINE=InnoDB;
