UPDATE table_version SET version_number = '19' WHERE version_id = '1';

CREATE TABLE table_requirement_attachment (
  attachment_id INTEGER UNSIGNED NOT NULL AUTO_INCREMENT,
  requirement_id INTEGER UNSIGNED NOT NULL,
  attachment_name VARCHAR(128) NOT NULL,
  attachment_data LONGBLOB NOT NULL,
  date_added DATETIME NULL,
  size INTEGER UNSIGNED NOT NULL,
  PRIMARY KEY(attachment_id),
  INDEX req_attachment_FKIndex1(requirement_id),
  FOREIGN KEY(requirement_id)
    REFERENCES table_requirement(requirement_id)
      ON DELETE CASCADE
      ON UPDATE NO ACTION
)
ENGINE=InnoDB;

CREATE TABLE table_specification_attachment (
  attachment_id INTEGER UNSIGNED NOT NULL AUTO_INCREMENT,
  specification_id INTEGER UNSIGNED NOT NULL,
  attachment_name VARCHAR(128) NOT NULL,
  attachment_data LONGBLOB NOT NULL,
  date_added DATETIME NULL,
  size INTEGER UNSIGNED NOT NULL,
  PRIMARY KEY(attachment_id),
  INDEX spec_attachment_FKIndex1(specification_id),
  FOREIGN KEY(specification_id)
    REFERENCES table_specification(specification_id)
      ON DELETE CASCADE
      ON UPDATE NO ACTION
)
ENGINE=InnoDB;