UPDATE table_version SET version_number = '31' WHERE version_id = '1';

CREATE TABLE table_testcase_param_string (
  testcase_id INTEGER UNSIGNED NOT NULL,
  param_string_id INTEGER UNSIGNED NOT NULL,
  param_string_value VARCHAR(256) CHARACTER SET utf8 NOT NULL,
  UNIQUE KEY(testcase_id, param_string_id),
  INDEX testcase_param_string_FKIndex1(testcase_id),
  INDEX testcase_param_string_FKIndex2(param_string_id),
  FOREIGN KEY(testcase_id)
    REFERENCES table_testcase(testcase_id)
      ON DELETE CASCADE
      ON UPDATE NO ACTION,
  FOREIGN KEY(param_string_id)
    REFERENCES table_param_string(param_string_id)
      ON DELETE CASCADE
      ON UPDATE NO ACTION  
)
ENGINE=INNODB;

CREATE TABLE table_testcase_param_integer (
  testcase_id INTEGER UNSIGNED NOT NULL,
  param_integer_id INTEGER UNSIGNED NOT NULL,
  param_integer_value VARCHAR(16) NOT NULL,
  UNIQUE KEY(testcase_id, param_integer_id),
  INDEX testcase_param_integer_FKIndex1(testcase_id),
  INDEX testcase_param_integer_FKIndex2(param_integer_id),
  FOREIGN KEY(testcase_id)
    REFERENCES table_testcase(testcase_id)
      ON DELETE CASCADE
      ON UPDATE NO ACTION,
  FOREIGN KEY(param_integer_id)
    REFERENCES table_param_integer(param_integer_id)
      ON DELETE CASCADE
      ON UPDATE NO ACTION  
)
ENGINE=INNODB;

CREATE TABLE table_testcase_param_boolean (
  testcase_id INTEGER UNSIGNED NOT NULL,
  param_boolean_id INTEGER UNSIGNED NOT NULL,
  param_boolean_value BOOL NOT NULL DEFAULT 0,
  UNIQUE KEY(testcase_id, param_boolean_id),
  INDEX testcase_param_boolean_FKIndex1(testcase_id),
  INDEX testcase_param_boolean_FKIndex2(param_boolean_id),
  FOREIGN KEY(testcase_id)
    REFERENCES table_testcase(testcase_id)
      ON DELETE CASCADE
      ON UPDATE NO ACTION,
  FOREIGN KEY(param_boolean_id)
    REFERENCES table_param_boolean(param_boolean_id)
      ON DELETE CASCADE
      ON UPDATE NO ACTION  
)
ENGINE=INNODB;