UPDATE table_version SET version_number = '34' WHERE version_id = '1';

CREATE TABLE table_usergroup (
  usergroup_id INTEGER UNSIGNED NOT NULL AUTO_INCREMENT,
  usergroup_name VARCHAR(128) NOT NULL,
  folder_id INTEGER UNSIGNED NOT NULL,
  PRIMARY KEY(usergroup_id),
  INDEX user_FKIndex1(folder_id),
  FOREIGN KEY(folder_id)
    REFERENCES table_folder(folder_id)
      ON DELETE CASCADE
      ON UPDATE NO ACTION     
)
ENGINE=InnoDB;

CREATE TABLE table_usergroup_user (
  usergroup_id INTEGER UNSIGNED NOT NULL, 
  user_id INTEGER UNSIGNED NOT NULL, 
  UNIQUE KEY(usergroup_id, user_id), 
  INDEX usergroup_user_FKIndex1(usergroup_id), 
  INDEX usergroup_user_FKIndex2(user_id), 
  FOREIGN KEY(usergroup_id) 
    REFERENCES table_usergroup(usergroup_id) 
      ON DELETE CASCADE 
      ON UPDATE NO ACTION, 
  FOREIGN KEY(user_id) 
    REFERENCES table_user(user_id) 
      ON DELETE CASCADE 
      ON UPDATE NO ACTION 
)
ENGINE=InnoDB;

CREATE TABLE table_usergroup_folder (
  usergroup_id INTEGER UNSIGNED NOT NULL, 
  folder_id INTEGER UNSIGNED NOT NULL, 
  UNIQUE KEY(usergroup_id, folder_id), 
  INDEX usergroup_folder_FKIndex1(usergroup_id), 
  INDEX usergroup_folder_FKIndex2(folder_id), 
  FOREIGN KEY(usergroup_id) 
    REFERENCES table_usergroup(usergroup_id) 
      ON DELETE CASCADE 
      ON UPDATE NO ACTION, 
  FOREIGN KEY(folder_id) 
    REFERENCES table_folder(folder_id) 
      ON DELETE CASCADE 
      ON UPDATE NO ACTION 
)
ENGINE=InnoDB;

INSERT INTO table_usergroup VALUES (10, 'admins', 29);



