UPDATE table_version SET version_number = '38' WHERE version_id = '1';

ALTER TABLE table_custom_field_string ADD position SMALLINT NOT NULL DEFAULT 1;
ALTER TABLE table_custom_field_integer ADD position SMALLINT NOT NULL DEFAULT 1;
ALTER TABLE table_custom_field_boolean ADD position SMALLINT NOT NULL DEFAULT 1;
ALTER TABLE table_custom_field_html ADD position SMALLINT NOT NULL DEFAULT 1;
ALTER TABLE table_custom_field_stringchoice ADD position SMALLINT NOT NULL DEFAULT 1;

ALTER TABLE table_custom_field_stringchoice DROP custom_field_stringchoice_mandatory;

CREATE TABLE table_custom_field_string_value (
  custom_field_string_id INTEGER UNSIGNED NOT NULL,
  source_id INTEGER UNSIGNED NOT NULL,
  value VARCHAR(128) CHARACTER SET utf8 NOT NULL,
  FOREIGN KEY(custom_field_string_id)
    REFERENCES table_custom_field_string(custom_field_string_id)
      ON DELETE CASCADE
      ON UPDATE NO ACTION,
  UNIQUE KEY (custom_field_string_id, source_id)
)
ENGINE=INNODB;

CREATE TABLE table_custom_field_integer_value (
  custom_field_integer_id INTEGER UNSIGNED NOT NULL,
  source_id INTEGER UNSIGNED NOT NULL,
  value INTEGER NOT NULL,
  FOREIGN KEY(custom_field_integer_id)
    REFERENCES table_custom_field_integer(custom_field_integer_id)
      ON DELETE CASCADE
      ON UPDATE NO ACTION,
  UNIQUE KEY (custom_field_integer_id, source_id)
)
ENGINE=INNODB;

CREATE TABLE table_custom_field_boolean_value (
  custom_field_boolean_id INTEGER UNSIGNED NOT NULL,
  source_id INTEGER UNSIGNED NOT NULL,
  value BOOLEAN NOT NULL,
  FOREIGN KEY(custom_field_boolean_id)
    REFERENCES table_custom_field_boolean(custom_field_boolean_id)
      ON DELETE CASCADE
      ON UPDATE NO ACTION,
  UNIQUE KEY (custom_field_boolean_id, source_id)
)
ENGINE=INNODB;

CREATE TABLE table_custom_field_html_value (
  custom_field_html_id INTEGER UNSIGNED NOT NULL,
  source_id INTEGER UNSIGNED NOT NULL,
  value TEXT CHARACTER SET utf8 NOT NULL,
  FOREIGN KEY(custom_field_html_id)
    REFERENCES table_custom_field_html(custom_field_html_id)
      ON DELETE CASCADE
      ON UPDATE NO ACTION,
  UNIQUE KEY (custom_field_html_id, source_id)
)
ENGINE=INNODB;

CREATE TABLE table_custom_field_stringchoice_value (
  custom_field_stringchoice_id INTEGER UNSIGNED NOT NULL,
  source_id INTEGER UNSIGNED NOT NULL,
  value VARCHAR(64) CHARACTER SET utf8 NOT NULL,
  FOREIGN KEY(custom_field_stringchoice_id)
    REFERENCES table_custom_field_stringchoice(custom_field_stringchoice_id)
      ON DELETE CASCADE
      ON UPDATE NO ACTION,
  UNIQUE KEY (custom_field_stringchoice_id, source_id)
)
ENGINE=INNODB;

CREATE TABLE table_requirement_generic (
  requirement_id INTEGER UNSIGNED NOT NULL AUTO_INCREMENT,
  folder_id INTEGER UNSIGNED NOT NULL,
  external_id INTEGER UNSIGNED NULL,
  PRIMARY KEY(requirement_id),
  INDEX requirement_FKIndex1(folder_id),
  FOREIGN KEY(folder_id)
    REFERENCES table_folder(folder_id)
      ON DELETE CASCADE
      ON UPDATE NO ACTION
)
ENGINE=InnoDB;


ALTER TABLE table_sut_requirement DROP FOREIGN KEY table_sut_requirement_ibfk_2;
ALTER TABLE table_requirement_specification DROP FOREIGN KEY table_requirement_specification_ibfk_1;

ALTER TABLE table_requirement RENAME table_requirement_integrated;
ALTER TABLE table_requirement_content RENAME table_requirement_integrated_content;
ALTER TABLE table_requirement_attachment RENAME table_requirement_integrated_attachment;
ALTER TABLE table_requirement_attachment_content RENAME table_requirement_integrated_attachment_content;