UPDATE table_version SET version_number = '48' WHERE version_id = '1';

ALTER TABLE table_cust_string MODIFY cust_string_default_value VARCHAR(512) CHARACTER SET utf8;
ALTER TABLE table_cust_string_value MODIFY value VARCHAR(512) CHARACTER SET utf8;

CREATE TABLE table_search (
  search_id INTEGER UNSIGNED NOT NULL AUTO_INCREMENT,
  search_name VARCHAR(128) CHARACTER SET utf8 NOT NULL,
  type TINYINT NOT NULL,
  search_data MEDIUMTEXT CHARACTER SET utf8 NOT NULL,
  PRIMARY KEY(search_id)
)
ENGINE=INNODB;

CREATE TABLE table_search_cust_string (
  search_id INTEGER UNSIGNED NOT NULL,
  cust_string_id INTEGER UNSIGNED NOT NULL,
  value VARCHAR(512) CHARACTER SET utf8,
  INDEX search_cust_string_IK_1(search_id),
  INDEX search_cust_string_IK_2(cust_string_id),
  FOREIGN KEY (search_id)
    REFERENCES table_search(search_id)
      ON DELETE CASCADE
      ON UPDATE NO ACTION,
  FOREIGN KEY (cust_string_id)
    REFERENCES table_cust_string(cust_string_id)
      ON DELETE CASCADE
      ON UPDATE NO ACTION,
  UNIQUE KEY search_cust_string_UK_1 (search_id, cust_string_id)
)
ENGINE=INNODB;

CREATE TABLE table_search_cust_integer (
  search_id INTEGER UNSIGNED NOT NULL,
  cust_integer_id INTEGER UNSIGNED NOT NULL,
  value INTEGER NOT NULL,
  INDEX search_cust_integer_IK_1(search_id),
  INDEX search_cust_integer_IK_2(cust_integer_id),
  FOREIGN KEY (search_id)
    REFERENCES table_search(search_id)
      ON DELETE CASCADE
      ON UPDATE NO ACTION,
  FOREIGN KEY (cust_integer_id)
    REFERENCES table_cust_integer(cust_integer_id)
      ON DELETE CASCADE
      ON UPDATE NO ACTION,
  UNIQUE KEY search_cust_integer_UK_1 (search_id, cust_integer_id)
)
ENGINE=INNODB;

CREATE TABLE table_search_cust_boolean (
  search_id INTEGER UNSIGNED NOT NULL,
  cust_boolean_id INTEGER UNSIGNED NOT NULL,
  value BOOLEAN NOT NULL,
  INDEX search_cust_boolean_IK_1(search_id),
  INDEX search_cust_boolean_IK_2(cust_boolean_id),
  FOREIGN KEY (search_id)
    REFERENCES table_search(search_id)
      ON DELETE CASCADE
      ON UPDATE NO ACTION,
  FOREIGN KEY (cust_boolean_id)
    REFERENCES table_cust_boolean(cust_boolean_id)
      ON DELETE CASCADE
      ON UPDATE NO ACTION,
  UNIQUE KEY search_cust_boolean_UK_1 (search_id, cust_boolean_id)
)
ENGINE=INNODB;

CREATE TABLE table_search_cust_html (
  search_id INTEGER UNSIGNED NOT NULL,
  cust_html_id INTEGER UNSIGNED NOT NULL,
  value TEXT CHARACTER SET utf8,
  INDEX search_cust_html_IK_1(search_id),
  INDEX search_cust_html_IK_2(cust_html_id),
  FOREIGN KEY (search_id)
    REFERENCES table_search(search_id)
      ON DELETE CASCADE
      ON UPDATE NO ACTION,
  FOREIGN KEY (cust_html_id)
    REFERENCES table_cust_html(cust_html_id)
      ON DELETE CASCADE
      ON UPDATE NO ACTION,
  UNIQUE KEY search_cust_html_UK_1 (search_id, cust_html_id)
)
ENGINE=INNODB;

CREATE TABLE table_search_cust_choice (
  search_id INTEGER UNSIGNED NOT NULL,
  cust_choice_id INTEGER UNSIGNED NOT NULL,
  value VARCHAR(64) CHARACTER SET utf8,
  INDEX search_cust_choice_IK_1(search_id),
  INDEX search_cust_choice_IK_2(cust_choice_id),
  FOREIGN KEY (search_id)
    REFERENCES table_search(search_id)
      ON DELETE CASCADE
      ON UPDATE NO ACTION,
  FOREIGN KEY (cust_choice_id)
    REFERENCES table_cust_choice(cust_choice_id)
      ON DELETE CASCADE
      ON UPDATE NO ACTION,
  UNIQUE KEY search_cust_choice_UK_1 (search_id, cust_choice_id)
)
ENGINE=INNODB;


ALTER TABLE table_sess ADD pick TINYINT UNSIGNED NOT NULL DEFAULT 1;

ALTER TABLE table_sch ADD pick TINYINT UNSIGNED NOT NULL DEFAULT 1;

INSERT IGNORE INTO table_monitoring_conf VALUES (10, 'Only cpu', '<object type="root"><feature name="cpu"/></object>');

INSERT IGNORE INTO table_weekend VALUES (DEFAULT, 'SE', '1,7');