<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:output method="xml" indent="yes" encoding="UTF-8"/>

<xsl:template name="insertCharts">
	<xsl:param name="graphInReportsEnabled"/>
	<xsl:param name="domain"/>
	<br/>
  
	<xsl:if test="$graphInReportsEnabled='true'">
  
	    <xsl:if test="$domain=1"> <!-- root testplan -->
		  <!-- results -->
	      <table border="0" cellpading="0" cellspacing="0">
	        <tr><th valign="top">#testplan.Tests#</th><th>&#160;&#160;&#160;&#160;&#160;</th><th valign="top">#testplan.Testcases#</th></tr>
			<tr>
				<td valign="top"><img src="resources/images/test_results_line.jpg" alt="&lt;no data in graph&gt;"/></td>
				<td></td>
				<td valign="top"><img src="resources/images/testcase_results_line.jpg" alt="&lt;no data in graph&gt;"/></td>
			</tr>
			<tr>
				<td valign="top"><img src="resources/images/test_results_percentage.jpg" alt="&lt;no data in graph&gt;"/></td>
				<td></td>
				<td valign="top"><img src="resources/images/testcase_results_percentage.jpg" alt="&lt;no data in graph&gt;"/></td>
			</tr>
			<tr>
				<td valign="top"><img src="resources/images/test_results_piechart.jpg" alt="&lt;no data in graph&gt;"/></td>
				<td></td>
				<td valign="top"><img src="resources/images/testcase_results_piechart.jpg" alt="&lt;no data in graph&gt;"/></td>
			</tr>
	      </table>
		  <br/><br/><br/>
		  <!-- dependencies -->
	      <table border="0" cellpading="0" cellspacing="0">
	        <tr><th valign="top">#testplan.Dependencies#</th></tr>
	      	<tr>
				<td valign="top"><img src="resources/images/dependencies.jpg" alt="&lt;no data in graph&gt;"/></td>
			</tr>
		  </table>
		  <br/><br/><br/>
		  <!-- coverage -->
	      <table border="0" cellpading="0" cellspacing="0">
	        <tr>
				<xsl:if test="$specificationInLifecycle='true'">
					<th valign="top">#testplan.Specifications#</th>
					<th>&#160;&#160;&#160;&#160;&#160;</th>
				</xsl:if>
				<th valign="top">#testplan.Requirements#</th>
			</tr> 
	      	<tr>
				<xsl:if test="$specificationInLifecycle='true'">
					<td valign="top"><img src="resources/images/coverage_bar_specification.jpg" alt="&lt;no data in graph&gt;"/></td>
					<td></td>
				</xsl:if>
				<td valign="top"><img src="resources/images/coverage_bar_requirement.jpg" alt="&lt;no data in graph&gt;"/></td>
			</tr>
		  </table>
		  <br/><br/><br/>
	    </xsl:if>
	    
		
		
	    <xsl:if test="$domain=2"> <!-- category testplan -->
		  <!-- results -->
	      <table border="0" cellpading="0" cellspacing="0">
	        <tr><th valign="top">#testplan.Tests#</th><th>&#160;&#160;&#160;&#160;&#160;</th><th valign="top">#testplan.Testcases#</th></tr>
			<tr>
				<td valign="top"><img src="resources/images/test_results_line.jpg" alt="&lt;no data in graph&gt;"/></td>
				<td></td>
				<td valign="top"><img src="resources/images/testcase_results_line.jpg" alt="&lt;no data in graph&gt;"/></td>
			</tr>
			<tr>
				<td valign="top"><img src="resources/images/test_results_percentage.jpg" alt="&lt;no data in graph&gt;"/></td>
				<td></td>
				<td valign="top"><img src="resources/images/testcase_results_percentage.jpg" alt="&lt;no data in graph&gt;"/></td>
			</tr>
	      </table>
		  <br/><br/><br/>
		  <!-- statistics -->
	      <table border="0" cellpading="0" cellspacing="0">
	        <tr><th valign="top">#testplan.Tests#</th><th>&#160;&#160;&#160;&#160;&#160;</th><th valign="top">#testplan.Testcases#</th></tr>
			<tr>
				<td valign="top"><img src="resources/images/chart_implemented_tests.jpg" alt="&lt;no data in graph&gt;"/></td>
				<td></td>
				<td valign="top"><img src="resources/images/chart_implemented_testcases.jpg" alt="&lt;no data in graph&gt;"/></td>
			</tr>
			<tr>
				<td valign="top"><img src="resources/images/chart_implemented_tests_percentage.jpg" alt="&lt;no data in graph&gt;"/></td>
				<td></td>
				<td valign="top"><img src="resources/images/chart_implemented_testcases_percentage.jpg" alt="&lt;no data in graph&gt;"/></td>
			</tr>
	      </table>
		  <br/><br/><br/>
		  <!-- coverage -->
	      <table border="0" cellpading="0" cellspacing="0">
	        <tr>
				<xsl:if test="$specificationInLifecycle='true'">
					<th valign="top">#testplan.Specifications#</th>
					<th>&#160;&#160;&#160;&#160;&#160;</th>
				</xsl:if>
				<th valign="top">#testplan.Requirements#</th>
			</tr> 
	      	<tr>
				<xsl:if test="$specificationInLifecycle='true'">
					<td valign="top"><img src="resources/images/coverage_bar_specification.jpg" alt="&lt;no data in graph&gt;"/></td>
					<td></td>
				</xsl:if>
				<td valign="top"><img src="resources/images/coverage_bar_requirement.jpg" alt="&lt;no data in graph&gt;"/></td>
			</tr>
		  </table>
		  <br/><br/><br/>
	    </xsl:if> 				
	    
		
		
	    <xsl:if test="$domain=3"> <!-- folder testplan -->
		  <!-- results -->
	      <table border="0" cellpading="0" cellspacing="0">
	        <tr><th valign="top">#testplan.Tests#</th><th>&#160;&#160;&#160;&#160;&#160;</th><th valign="top">#testplan.Testcases#</th></tr>
			<tr>
				<td valign="top"><img src="resources/images/test_results_line.jpg" alt="&lt;no data in graph&gt;"/></td>
				<td></td>
				<td valign="top"><img src="resources/images/testcase_results_line.jpg" alt="&lt;no data in graph&gt;"/></td>
			</tr>
			<tr>
				<td valign="top"><img src="resources/images/test_results_percentage.jpg" alt="&lt;no data in graph&gt;"/></td>
				<td></td>
				<td valign="top"><img src="resources/images/testcase_results_percentage.jpg" alt="&lt;no data in graph&gt;"/></td>
			</tr>
	      </table>
		  <br/><br/><br/>
		  <!-- coverage -->
	      <table border="0" cellpading="0" cellspacing="0">
	        <tr>
				<xsl:if test="$specificationInLifecycle='true'">
					<th valign="top">#testplan.Specifications#</th>
					<th>&#160;&#160;&#160;&#160;&#160;</th>
				</xsl:if>
				<th valign="top">#testplan.Requirements#</th>
			</tr> 
	      	<tr>
				<xsl:if test="$specificationInLifecycle='true'">
					<td valign="top"><img src="resources/images/coverage_bar_specification.jpg" alt="&lt;no data in graph&gt;"/></td>
					<td></td>
				</xsl:if>
				<td valign="top"><img src="resources/images/coverage_bar_requirement.jpg" alt="&lt;no data in graph&gt;"/></td>
			</tr>
		  </table>
		  <br/><br/><br/>
	    </xsl:if>
		
		
		
	    <xsl:if test="$domain=4"> <!-- campaign testplan -->
	      <table border="0" cellpading="0" cellspacing="0">
	        <tr><th valign="top">#testplan.Tests#</th><th>&#160;&#160;&#160;&#160;&#160;</th><th valign="top">#testplan.Testcases#</th></tr>            
	      	<tr>
				<td valign="top"><img src="resources/images/stats_graph_tests.jpg" alt="&lt;no data in graph&gt;"/></td>
				<td></td>
				<td valign="top"><img src="resources/images/stats_graph_testcases.jpg" alt="&lt;no data in graph&gt;"/></td>
			</tr>
	      	<tr>
				<td valign="top"><img src="resources/images/stats_percent_tests.jpg" alt="&lt;no data in graph&gt;"/></td>
				<td></td>
				<td valign="top"><img src="resources/images/stats_percent_testcases.jpg" alt="&lt;no data in graph&gt;"/></td>
			</tr>
	        <tr>
				<td valign="top" align="center"><img src="resources/images/stats_pie_tests.jpg" alt="&lt;no data in graph&gt;"/></td>
				<td></td>
				<td valign="top" align="center"><img src="resources/images/stats_pie_testcases.jpg" alt="&lt;no data in graph&gt;"/></td>
			</tr>
		  </table>
		  <br/><br/><br/>

		  <table border="0" cellpading="0" cellspacing="0">
			<tr><th valign="top">#testplan.Specifications#</th><th>&#160;&#160;&#160;&#160;&#160;</th><th valign="top">#testplan.Requirements#</th></tr> 
			<tr>
				<td valign="top"><img src="resources/images/coverage_bar_specification.jpg" alt="&lt;no data in graph&gt;"/></td>
				<td></td>
				<td valign="top"><img src="resources/images/coverage_bar_requirement.jpg" alt="&lt;no data in graph&gt;"/></td>
			</tr>
	      </table>
		  <br/><br/><br/>
	    </xsl:if>
		
	</xsl:if>
	<br/>
</xsl:template>


</xsl:stylesheet>